Bug 177686 - yum metadata-packages
yum metadata-packages
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-12 16:45 EST by Roland Wolters
Modified: 2014-01-21 17:53 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-19 16:34:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Roland Wolters 2006-01-12 16:45:40 EST
Description of problem: 
 
Software installation in Fedora Core is quite easy, even for a newbie, as long 
as there is a rpm-package. But it is almost impossible to add a yum source for 
the packages (given that there is a yum ressource provided). 
 
To make it easier for the user user their could be a yum source file inside 
the package, but that would broke the LSB and would not fit into 
multi-distribution packages often provided by isvs for several different 
distros (for example adobe wouldn't be able to provide one rpm for all 
rpm-based distributions anymore). 
 
The idea now is to create a meta-package which contains the rpm itself and the 
needed data for a new repository file in /etc/yum.repos.d/* 
Another option would be a meta package which just contains the repository data 
and the name of the package which should be loaded from there. 
 
Advantages: 
- "external" software could kept up to date, too 
- could be adopted by every isv with low effort 
- could be implemented with low effort 
- would work together with existing solutions 
- would provide a solution to the update problem of isvs 
 
Disadvantages: 
- even if it is easy to implement, it ahs to be implemented 
- it has to be adopted by isvs 
 
A last advantage I see: if yum is enhanced once to login to and access 
ssh/tls/howeversecured repositories (probably wanted by isvs), the information 
about which access method and which login/pwd has to be transfered to the 
user-computer somehow - that could be done with this file, too. 
(And yes, I wanted to fill in a bug-enhancement report about the ability of 
accessing repos with login methods, too, but I first wait what you think of 
this one).
Comment 1 Seth Vidal 2006-01-13 01:23:16 EST
I'm not sure I understand what you're asking for, actually.

Do you want some easy way of adding more repositories in? 
Comment 2 Roland Wolters 2006-01-13 04:24:10 EST
Yes, but without packing these information into a rpm package (because than  
you wouldn't be able anymore to install this software on other rpm based  
distributions).  
  
The reason why I ask for it: to take Adobe as an example again: if you  
download and install their rpm pacakge, you have to take care for yourself if  
you have to update their program because of security problems.  
With the asked solution you wouldn't have to because you would already have  
the repository activated in yum and as soon as their is a new version yum  
would update automatically.  
Comment 3 Roland Wolters 2006-01-17 07:42:07 EST
To add some notes about the aims I follow with this some wish: 
 
Ubuntu targets the same aim (to add on third party packages easy; to add on 
package "channels" easy) and tries to find ways to reach it: 
https://launchpad.net/distros/ubuntu/+spec/third-party-packages 
 
Btw.: If no one likes this wish or if it is refused somewhere internally I 
would like to close this bug. 
Comment 4 Roland Wolters 2006-04-14 13:28:20 EDT
Ok, here a real life example: 
 
The ifolder server from Novell, now Open Source, is provided in a fedora core 
yum repository. 
 
But to install ifolder in the way it should work you need two steps: 
 
1) You have to copy the repo file *manually* to /etc/yum.repos.d/* . 
2) You have to install ifolder with the yum command line or with one of the 
guis. 
 
I think there should be an easy way to avoid having two steps, and to avoid 
copying files as root manually, although it is "just" a wget. 
 
You should have a kind of installer which first adds the repo file and then 
invocates yum automatically to download and (!) install the corresponding 
package. 
 
I know that this can be done with a special prepared rpm files (like the livna 
repository package but with an additional "yum install xyz" script), but if 
fedora wants isvs to use rpms therefore then there should be some kind of 
howto somewhere... 
Comment 5 Jeremy Katz 2006-04-19 16:34:32 EDT
We're working towards adding some functionality like this into the graphical
tools built around yum.  It's not going to be something in base yum.

Note You need to log in before you can comment on or make changes to this bug.